#include "evalspinboxplugin.h"

#include "evalspinbox.h"

#include <QtCore/QtPlugin>


EvalSpinBoxPlugin::EvalSpinBoxPlugin(QObject * parent): QObject(parent) {
	m_initialized = false;
}


void EvalSpinBoxPlugin::initialize(QDesignerFormEditorInterface * /* core */) {
	if (m_initialized) return;

	// Add extension registrations, etc. here

	m_initialized = true;
}


bool EvalSpinBoxPlugin::isInitialized() const {
	return m_initialized;
}


QWidget * EvalSpinBoxPlugin::createWidget(QWidget * parent) {
	return new EvalSpinBox(parent);
}


QString EvalSpinBoxPlugin::name() const {
	return QLatin1String("EvalSpinBox");
}


QString EvalSpinBoxPlugin::group() const {
	return QLatin1String("Input Widgets");
}


QIcon EvalSpinBoxPlugin::icon() const {
	return QIcon(":/icons/widgets/evalspinbox.png");
}


QString EvalSpinBoxPlugin::toolTip() const {
	return QLatin1String("Evaluation double SpinBox");
}


QString EvalSpinBoxPlugin::whatsThis() const {
	return QLatin1String("Evaluation double SpinBox");
}


bool EvalSpinBoxPlugin::isContainer() const {
	return false;
}


QString EvalSpinBoxPlugin::domXml() const {
	return QLatin1String("<widget class=\"EvalSpinBox\" name=\"evalSpin\">\n</widget>\n");
}


QString EvalSpinBoxPlugin::includeFile() const {
	return QLatin1String("evalspinbox.h");
}
